package main

import (
	restful "github.com/emicklei/go-restful"
)

var seeds = newClusterSecretKV[[]byte]("seeds")

var clusterPasswords = newClusterSecretKV[string]("passwords")

func wsClusterPasswords(req *restful.Request, resp *restful.Response) {
	clusterName := req.PathParameter("cluster-name")
	clusterPasswords.WsList(resp, clusterName+"/")
}

func wsClusterPassword(req *restful.Request, resp *restful.Response) {
	clusterName := req.PathParameter("cluster-name")
	name := req.PathParameter("password-name")

	clusterPasswords.WsGet(resp, clusterName+"/"+name)
}

func wsClusterSetPassword(req *restful.Request, resp *restful.Response) {
	cluster := wsReadCluster(req, resp)
	if cluster == nil {
		return
	}

	name := req.PathParameter("password-name")

	clusterPasswords.WsPut(req, resp, cluster.Name+"/"+name)
}
